Uses of Enum Class
com.eqixiac.equinix.customerportal.enums.OrderHistoryStatus
Packages that use OrderHistoryStatus
Package
Description
Customer Portal enumerations for the Equinix Java SDK.
Customer Portal model interfaces for the Equinix Java SDK.
-
Uses of OrderHistoryStatus in com.eqixiac.equinix.customerportal.enums
Subclasses with type arguments of type OrderHistoryStatus in com.eqixiac.equinix.customerportal.enumsModifier and TypeClassDescriptionenumStatus of an order-history header: theorderStatusof a result and thefilters.orderStatusof a search (POST /v1/retrieve-orders).Methods in com.eqixiac.equinix.customerportal.enums that return OrderHistoryStatusModifier and TypeMethodDescriptionstatic OrderHistoryStatusOrderHistoryStatus.fromString(String value) Maps a wire value to a constant, falling back toOrderHistoryStatus.UNKNOWN.static OrderHistoryStatusReturns the enum constant of this class with the specified name.static OrderHistoryStatus[]OrderHistoryStatus.values()Returns an array containing the constants of this enum class, in the order they are declared. -
Uses of OrderHistoryStatus in com.eqixiac.equinix.customerportal.model
Methods in com.eqixiac.equinix.customerportal.model that return OrderHistoryStatusModifier and TypeMethodDescriptionOrderHistoryItem.getOrderStatus()Returns the order status (seeOrderHistoryStatusfor the values the live service uses; unrecognised values read asUNKNOWN). -
Uses of OrderHistoryStatus in com.eqixiac.equinix.customerportal.model.json.creators
Methods in com.eqixiac.equinix.customerportal.model.json.creators with parameters of type OrderHistoryStatusModifier and TypeMethodDescriptionOrderHistorySearchRequest.Filters.Builder.orderStatus(OrderHistoryStatus... orderStatus) Varargs form ofOrderHistorySearchRequest.Filters.Builder.orderStatus(List).Method parameters in com.eqixiac.equinix.customerportal.model.json.creators with type arguments of type OrderHistoryStatusModifier and TypeMethodDescriptionOrderHistorySearchRequest.Filters.Builder.orderStatus(List<OrderHistoryStatus> orderStatus) Filters by order status.